ZenLib::ZtringList class Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# ZenLib::ZtringList Class Reference

Vector of strings manipulation (based on std::vector<std::(w)string>). More...

`#include <ZtringList.h>`

List of all members.

## Public Member Functions

| ZtringList ()
| ZtringList (const ZtringList &Source)
| ZtringList (const Ztring &Source)
| ZtringList (const Char *Source)
bool | operator== (const ZtringList &Source) const
bool | operator!= (const ZtringList &Source) const
ZtringList & | operator+= (const ZtringList &Source)
ZtringList & | operator= (const ZtringList &Source)
Ztring & | operator() (size_type Pos)
| Same as [], but write a empty string if Pos doesn't exist yet.
Ztring | Read () const
Ztring | Read (size_type Pos) const
| Read all.
void | Write (const Ztring &ToWrite)
| Read a string.
void | Write (const Ztring &ToWrite, size_type Pos)
| Write all.
void | Insert (const Ztring &ToInsert, size_type Pos0)
| Insert a string at position Pos0.
void | Delete (size_type Pos0)
| Delete a string at position Pos0.
void | Swap (size_type Pos0_A, size_type Pos0_B)
| Swap 2 positions.
void | Sort (ztring_t Options=Ztring_Nothing)
| Sort.
size_type | Find (const Ztring &ToFind, size_type PosBegin=0, const Ztring &Comparator=_T("=="), ztring_t Options=Ztring_Nothing) const
| Find the position of the string in the vector.
size_type | MaxStringLength_Get ()
| Return the length of the longest string in the list.
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character.
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

## Protected Attributes

Ztring | Separator [1]
Ztring | Quote

## Detailed Description

Vector of strings manipulation (based on std::vector<std::(w)string>).

## Constructor & Destructor Documentation

ZenLib::ZtringList::ZtringList | ( |  | ) |

ZenLib::ZtringList::ZtringList | ( | const ZtringList & | Source | ) |

ZenLib::ZtringList::ZtringList | ( | const Ztring & | Source | ) |

ZenLib::ZtringList::ZtringList | ( | const Char * | Source | ) |

## Member Function Documentation

void ZenLib::ZtringList::Delete | ( | size_type | Pos0 | ) | `[inline]`

| Delete a string at position Pos0.

size_type ZenLib::ZtringList::Find | ( | const Ztring & | ToFind,
|  | size_type | PosBegin = 0,
|  | const Ztring & | Comparator = _T("=="),
|  | ztring_t | Options = Ztring_Nothing
| ) | const

| Find the position of the string in the vector.

void ZenLib::ZtringList::Insert | ( | const Ztring & | ToInsert,
|  | size_type | Pos0
| ) | `[inline]`

| Insert a string at position Pos0. Write a string

size_type ZenLib::ZtringList::MaxStringLength_Get | ( |  | ) |

| Return the length of the longest string in the list.

bool ZenLib::ZtringList::operator!= | ( | const ZtringList & | Source | ) | const

Ztring& ZenLib::ZtringList::operator() | ( | size_type | Pos | ) |

| Same as [], but write a empty string if Pos doesn't exist yet.

ZtringList& ZenLib::ZtringList::operator+= | ( | const ZtringList & | Source | ) |

ZtringList& ZenLib::ZtringList::operator= | ( | const ZtringList & | Source | ) |

bool ZenLib::ZtringList::operator== | ( | const ZtringList & | Source | ) | const

void ZenLib::ZtringList::Quote_Set | ( | const Ztring & | NewQuote | ) |

| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

Ztring ZenLib::ZtringList::Read | ( | size_type | Pos | ) | const

| Read all.

Ztring ZenLib::ZtringList::Read | ( |  | ) | const

void ZenLib::ZtringList::Separator_Set | ( | size_type | Level,
|  | const Ztring & | NewSeparator
| ) |

| Set the Separator character.

void ZenLib::ZtringList::Sort | ( | ztring_t | Options = Ztring_Nothing | ) |

| Sort.

void ZenLib::ZtringList::Swap | ( | size_type | Pos0_A,
|  | size_type | Pos0_B
| ) |

| Swap 2 positions.

void ZenLib::ZtringList::Write | ( | const Ztring & | ToWrite,
|  | size_type | Pos
| ) |

| Write all.

void ZenLib::ZtringList::Write | ( | const Ztring & | ToWrite | ) |

| Read a string.

## Member Data Documentation

Ztring ZenLib::ZtringList::Quote`[protected]`

Ztring ZenLib::ZtringList::Separator[1]`[protected]`

The documentation for this class was generated from the following file:

- ZtringList.h